// Apply changes when the mask is worn

if (args.equipped)
{
  this.actor.createEmbeddedDocuments("ActiveEffect", [this.item.effects.contents[1]?.convertToApplied()])
  this.script.message(`${this.actor.name} porte le <strong>${this.item.name}</strong>. <br>
      S'ils portent le masque pendant plus d'une heure ou bénéficient de l'un de ses effets, ils sont exposés à @Corruption[moderate]{Corruption Modérée}.
      `,
      {whisper: ChatMessage.getWhisperRecipients("GM")})
}

// Notify of lingering effects when mask is Retiré
else if (!args.equipped)
{
    await this.item.effects.contents[0].delete();
    await this.item.update({name : this.item.name += " (Used)"})
    this.script.message(`<strong>${this.item.name}</strong> sur ${this.actor.name} a été retiré et perd ses propriétés. Cependant, les effets durent [[1d10+4]] jours, après quoi ils doivent être retirés manuellement.`,
    {whisper: ChatMessage.getWhisperRecipients("GM")}
    )

}